Organizations
Custom domain step 2 (optional): org confirms routing CNAME was added
Usually unnecessary. With Fly ACME default automation, Mudbase TXT verify may already set `cname_approved`. Legacy pipelines may queue `cname_pending_staff` until staff **`approve-cname`**. Use **`routingCnameTarget`** from **`GET .../projects/{projectId}/domains`** (Fly **`dns_requirements.cname`** when provisioned, else **`CUSTOM_DOMAIN_API_CNAME_TARGET`**).
POST
/api/orgs/{orgId}/projects/{projectId}/domains/{hostname}/submit-cnameSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, OrganizationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const organizations = new OrganizationsApi(configuration);import { Configuration, OrganizationsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
const organizations = new OrganizationsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await organizations.orgCustomDomainSubmitCname("org_HDDyOgjjUq", "proj_3rvNy6VB5ATD", "Carroll Streich-Donnelly");const { data: result } = await organizations.orgCustomDomainSubmitCname("org_HDDyOgjjUq", "proj_3rvNy6VB5ATD", "Carroll Streich-Donnelly");Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT
Note
Include your JWT in the
Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
orgId | string | Yes | — |
projectId | string | Yes | — |
hostname | string | Yes | — |
Responses
200Updated domain row
json
{
"success": true,
"domain": {
"_id": "hZnryo8KvYooSGj4",
"hostname": "Isaias Mann",
"status": "bandwidth quantify",
"isPrimary": false,
"source": "api",
"createdAt": "2026-07-14T07:18:01.232Z",
"verifiedAt": "2026-07-18T22:04:02.294Z",
"lastVerifiedAt": "2026-06-12T17:52:34.626Z",
"cnameSubmittedAt": "2026-06-07T10:42:42.244Z",
"cnameApprovedAt": "2026-06-20T06:32:04.750Z",
"customDomainVerificationStep": 67788,
"routingCnameTarget": "Katrina Crona",
"dnsRecords": [
{
"type": "hard drive quantify",
"name": "Jacky Howe",
"value": "microchip parse",
"purpose": "feed navigate"
}
],
"platformActivationPending": false,
"customDomainLiveForApiTraffic": true,
"cloudflareEdge": {
"saasIntegrationEnabled": true,
"skipped": false,
"reason": "pixel reboot",
"customHostnameId": "Miss Alexis Jacobson-Renner",
"hostnameStatus": "Joshua Mitchell",
"sslStatus": "transmitter input",
"ownershipVerification": {
"name": "Jamie Cummings",
"type": "panel back up",
"value": "microchip input"
},
"sslValidationRecords": [
{
"txtName": "Miss Roma Mante",
"txtValue": "pixel copy",
"httpUrl": "https://unkempt-ice-cream.com",
"httpBody": "application override",
"cname": "Zachary Kub",
"cnameTarget": "Sheldon Mann"
}
],
"lastError": "interface reboot",
"instructions": "array synthesize"
},
"flyCertificateStatus": "driver synthesize",
"platformDnsVerification": {
"recordType": "circuit navigate",
"recordName": "Toby Mosciski",
"recordValue": "circuit override",
"ttlSeconds": 91387,
"staffNote": "alarm quantify",
"updatedAt": "2026-07-19T16:37:32.378Z"
},
"platformDnsVerificationSubmittedAt": "2026-07-04T19:36:04.738Z"
},
"dnsVerificationInstructions": "bandwidth reboot"
}{
"success": true,
"domain": {
"_id": "hZnryo8KvYooSGj4",
"hostname": "Isaias Mann",
"status": "bandwidth quantify",
"isPrimary": false,
"source": "api",
"createdAt": "2026-07-14T07:18:01.232Z",
"verifiedAt": "2026-07-18T22:04:02.294Z",
"lastVerifiedAt": "2026-06-12T17:52:34.626Z",
"cnameSubmittedAt": "2026-06-07T10:42:42.244Z",
"cnameApprovedAt": "2026-06-20T06:32:04.750Z",
"customDomainVerificationStep": 67788,
"routingCnameTarget": "Katrina Crona",
"dnsRecords": [
{
"type": "hard drive quantify",
"name": "Jacky Howe",
"value": "microchip parse",
"purpose": "feed navigate"
}
],
"platformActivationPending": false,
"customDomainLiveForApiTraffic": true,
"cloudflareEdge": {
"saasIntegrationEnabled": true,
"skipped": false,
"reason": "pixel reboot",
"customHostnameId": "Miss Alexis Jacobson-Renner",
"hostnameStatus": "Joshua Mitchell",
"sslStatus": "transmitter input",
"ownershipVerification": {
"name": "Jamie Cummings",
"type": "panel back up",
"value": "microchip input"
},
"sslValidationRecords": [
{
"txtName": "Miss Roma Mante",
"txtValue": "pixel copy",
"httpUrl": "https://unkempt-ice-cream.com",
"httpBody": "application override",
"cname": "Zachary Kub",
"cnameTarget": "Sheldon Mann"
}
],
"lastError": "interface reboot",
"instructions": "array synthesize"
},
"flyCertificateStatus": "driver synthesize",
"platformDnsVerification": {
"recordType": "circuit navigate",
"recordName": "Toby Mosciski",
"recordValue": "circuit override",
"ttlSeconds": 91387,
"staffNote": "alarm quantify",
"updatedAt": "2026-07-19T16:37:32.378Z"
},
"platformDnsVerificationSubmittedAt": "2026-07-04T19:36:04.738Z"
},
"dnsVerificationInstructions": "bandwidth reboot"
}400custom_domain_invalid_state
401Unauthorized
403Forbidden
Errors
| Code | Meaning |
|---|---|
400 | custom_domain_invalid_state |
401 | Unauthorized |
403 | Forbidden |